Index: android/patch_locale.sh |
diff --git a/android/patch_locale.sh b/android/patch_locale.sh |
index 5f6c2aa6ceb765d14cf51f00e607eb9eb9cac313..1853d19db4e54565009ef6a4aa6fc5d8bcb065f2 100755 |
--- a/android/patch_locale.sh |
+++ b/android/patch_locale.sh |
@@ -7,7 +7,7 @@ treeroot="$(dirname "$0")/.." |
cd "${treeroot}" |
echo "Applying brkitr.patch" |
-patch -p1 < android/brkitr.patch || { echo "failed to patch" >2; exit 1; } |
+patch -p1 < android/brkitr.patch || { echo "failed to patch" >&2; exit 1; } |
# Keep only the currencies used by the larget 60 economies in terms of GDP |
# with several more added in. |
@@ -86,12 +86,23 @@ done |
# Excludes region data. On Android Java API is used to get the data. |
+# Due to a bug in ICU, an empty region list always uses 70kB pool.res bundle. |
+# As a work around, include the minimal version of en.txt |
echo Overwriting region/reslocal.mk... |
cat >region/reslocal.mk <<END |
REGION_CLDR_VERSION = %version% |
REGION_SYNTHETIC_ALIAS = |
REGION_ALIAS_SOURCE = |
-REGION_SOURCE = |
+REGION_SOURCE = en.txt |
+END |
+ |
+echo Overwriting region/en.txt... |
+cat >region/en.txt <<END |
+en{ |
+ Countries{ |
+ US{"United States"} |
+ } |
+} |
END |
# On Android Java API is used to get lang data, except for the language and |
@@ -179,6 +190,7 @@ for i in locales/*.txt; do |
echo Overwriting $i... |
sed -r '/^ calendar\{$/,/^ \}$/ { |
/^ calendar\{$/p |
+ /^ default\{".*"\}$/p |
/^ '${CAL_PATTERN}'\{$/, /^ \}$/p |
/^ \}$/p |
d |